=== modified file 'NEWS'
--- NEWS	2008-06-06 18:04:45 +0000
+++ NEWS	2008-06-29 18:32:05 +0000
@@ -10,6 +10,8 @@
   
   * Fixed adding tags. (Javier Derderian, #228709)
 
+  * Avoid use of removed smart_add. (Jelmer Vernooij, #244025, #244027)
+
  INTERNALS
 
   * All i18n calls should now go through _i18n which must be imported from

=== modified file 'branchview/linegraph.py'
--- branchview/linegraph.py	2008-06-29 15:47:30 +0000
+++ branchview/linegraph.py	2008-05-04 18:16:01 +0000
@@ -12,7 +12,7 @@
 from bzrlib.revision import NULL_REVISION
 from bzrlib.tsort import merge_sort
 
-def linegraph(graph, start_revs, maxnum, broken_line_length = None,
+def linegraph(repository, start_revs, maxnum, broken_line_length = None,
               graph_data = True, mainline_only = False):
     """Produce a directed graph of a bzr repository.
 
@@ -43,6 +43,7 @@
     curved, kinked, etc.) and to pick the actual colours for each index.
     """
     
+    graph = repository.get_graph()
     graph_parents = {}
     ghosts = set()
     graph_children = {}

=== modified file 'branchview/treeview.py'
--- branchview/treeview.py	2008-06-29 15:47:30 +0000
+++ branchview/treeview.py	2008-06-28 15:45:39 +0000
@@ -285,7 +285,7 @@
         show_graph = self.graph_column.get_visible()
 
         self.branch.lock_read()
-        (linegraphdata, index, columns_len) = linegraph(self.branch.repository.get_graph(),
+        (linegraphdata, index, columns_len) = linegraph(self.branch.repository,
                                                         (self.start,) , # Sequence of start revisions
                                                         self.maxnum, 
                                                         broken_line_length,

=== modified file 'olive/add.py'
--- olive/add.py	2008-05-05 18:16:46 +0000
+++ olive/add.py	2008-06-29 18:32:05 +0000
@@ -69,20 +69,16 @@
                              _i18n('Please select a file from the list,\nor choose the other option.'))
                 return
             
-            fullpath = self.wt.abspath(os.path.join(self.wtpath, filename))
-            
             try:
-                bzrlib.add.smart_add([fullpath])
+                self.wt.add([filename])
             except errors.NotBranchError:
                 error_dialog(_i18n('Directory is not a branch'),
                              _i18n('You can perform this action only in a branch.'))
                 return
         elif radio_unknown.get_active():
             # Add unknown files recursively
-            fullpath = self.wt.abspath(self.wtpath)
-            
             try:
-                bzrlib.add.smart_add([fullpath], True)
+                self.wt.add(self.wt.unknowns())
             except errors.NotBranchError:
                 error_dialog(_i18n('Directory is not a branch'),
                              _i18n('You can perform this action only in a branch.'))

=== modified file 'olive/menu.py'
--- olive/menu.py	2008-05-05 18:18:08 +0000
+++ olive/menu.py	2008-06-29 18:31:29 +0000
@@ -179,7 +179,8 @@
                          _i18n('Please select a file from the list,\nor choose the other option.'))
             return
         
-        bzrlib.add.smart_add([os.path.join(directory, filename)])
+        wt, path = WorkingTree.open_containing(os.path.join(directory, filename))
+        wt.add([path])
     
     @show_bzr_error
     def annotate(self, action):

